#include "mbed.h"
#include "myknow.h"

#ifndef myf401_H
#define myf401_H

    class f401Act
    {
        public:
            static void init(void);                                //f401 cpu initialization; 
            static void ready(void);
            static char revoke(void);
            static void get_pow(void);

            //static void put_rwdg(void);
            static void put_rst(void);
            //static void put_slepy(void);
            
        private:
            //static IWDG_HandleTypeDef hiwdg;

            //static void SystemClock_Config(void);
            //static void MX_GPIO_Init(void);
            //static void MY_GPIO_Config(void);

            //static void init_wdg(void);
            static void isr_pc(void);                              //get interrupt buffer   
          
            static int cnt;
            static char bufR[10];                                //pc receive buffer
            static char bufT[10];   
            static int bufpow;  
        };

#endif
